[arch-commits] Commit in rubinius/repos (12 files)

Jan Steffens heftig at archlinux.org
Tue Dec 2 09:06:07 UTC 2014


    Date: Tuesday, December 2, 2014 @ 10:06:07
  Author: heftig
Revision: 123344

archrelease: copy trunk to community-i686, community-x86_64

Added:
  rubinius/repos/community-i686/PKGBUILD
    (from rev 123343, rubinius/trunk/PKGBUILD)
  rubinius/repos/community-i686/dirs.patch
    (from rev 123343, rubinius/trunk/dirs.patch)
  rubinius/repos/community-i686/gemrc
    (from rev 123343, rubinius/trunk/gemrc)
  rubinius/repos/community-x86_64/PKGBUILD
    (from rev 123343, rubinius/trunk/PKGBUILD)
  rubinius/repos/community-x86_64/dirs.patch
    (from rev 123343, rubinius/trunk/dirs.patch)
  rubinius/repos/community-x86_64/gemrc
    (from rev 123343, rubinius/trunk/gemrc)
Deleted:
  rubinius/repos/community-i686/PKGBUILD
  rubinius/repos/community-i686/dirs.patch
  rubinius/repos/community-i686/gemrc
  rubinius/repos/community-x86_64/PKGBUILD
  rubinius/repos/community-x86_64/dirs.patch
  rubinius/repos/community-x86_64/gemrc

-----------------------------+
 /PKGBUILD                   |  176 ++++++++++++++++++++++++++++++++++++++++++
 /dirs.patch                 |   42 ++++++++++
 /gemrc                      |   10 ++
 community-i686/PKGBUILD     |   88 ---------------------
 community-i686/dirs.patch   |   21 -----
 community-i686/gemrc        |    5 -
 community-x86_64/PKGBUILD   |   88 ---------------------
 community-x86_64/dirs.patch |   21 -----
 community-x86_64/gemrc      |    5 -
 9 files changed, 228 insertions(+), 228 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2014-12-02 09:05:24 UTC (rev 123343)
+++ community-i686/PKGBUILD	2014-12-02 09:06:07 UTC (rev 123344)
@@ -1,88 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgbase=rubinius
-pkgname=(rubinius rubinius-ruby)
-pkgver=2.3.0
-pkgrel=1
-pkgdesc="Ruby runtime written in Ruby, designed for concurrency"
-arch=(i686 x86_64)
-url="http://rubini.us"
-license=(custom)
-depends=(llvm-libs libffi openssl libyaml)
-makedepends=(llvm rubinius-ruby)
-options=(!emptydirs)
-source=(http://releases.rubini.us/${pkgbase}-${pkgver}.tar.bz2
-        gemrc dirs.patch)
-sha256sums=('9953c3af5e9694540859eaf55164a38d0c32c3ad35457e4351d20c28a25fecaa'
-            '4bb7eb2fe66e396ed16b589cdb656831407b39ad4e138d88536754c0448ac614'
-            'a9922b199730c059c26781af45adc46401811ff2e6840c4aeb49da4fa41acdd9')
-
-prepare() {
-  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
-  cd $pkgbase-$pkgver
-
-  patch -Np1 -i ../dirs.patch
-
-  mkdir -p "$GEM_HOME"
-  gem install --no-user-install -N vendor/cache/bundler-*.gem
-
-  "$GEM_HOME/bin/bundle" install --local
-}
-
-build() {
-  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
-  cd $pkgbase-$pkgver
-
-  ./configure --prefix=/usr \
-    --mandir=/usr/share/man \
-    --includedir=/usr/include/rubinius \
-    --appdir=/usr/lib/rubinius \
-    --gemsdir=/usr/lib/rubinius/gems \
-    --preserve-prefix \
-    --llvm-shared \
-    --without-rpath \
-    --bin-link bundle --bin-link bundler
-  rake build
-}
-
-check() {
-  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
-  cd $pkgbase-$pkgver
-
-  rake vm:test || :
-}
-
-package_rubinius() {
-  optdepends=('ruby-docs: Ruby documentation')
-
-  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
-  cd $pkgbase-$pkgver
-
-  DESTDIR="$pkgdir" rake install
-
-  mkdir -p "$pkgdir/usr/share/ri"
-  ln -s 2.1.0 "$pkgdir/usr/share/ri/2.1"
-
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/rubinius/LICENSE"
-
-### Split rubinius-ruby
-  mkdir -p "$srcdir/ruby/usr/bin"
-  for _f in "$pkgdir"/usr/bin/*; do
-    [[ $_f == */rbx ]] && continue
-    mv $_f "$srcdir/ruby/usr/bin"
-  done
-}
-
-package_rubinius-ruby() {
-  pkgdesc="Ruby compat for Rubinius"
-  depends=("rubinius=$pkgver-$pkgrel")
-  provides=(ruby)
-  conflicts=(ruby)
-  backup=(etc/gemrc)
-
-  mv ruby/* "$pkgdir"
-  install -Dm644 gemrc "$pkgdir/etc/gemrc"
-  install -d "$pkgdir/usr/share/licenses/rubinius-ruby"
-  ln -s ../rubinius/LICENSE "$pkgdir/usr/share/licenses/rubinius-ruby/LICENSE"
-}

Copied: rubinius/repos/community-i686/PKGBUILD (from rev 123343, rubinius/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2014-12-02 09:06:07 UTC (rev 123344)
@@ -0,0 +1,88 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgbase=rubinius
+pkgname=(rubinius rubinius-ruby)
+pkgver=2.4.0
+pkgrel=1
+pkgdesc="Ruby runtime written in Ruby, designed for concurrency"
+arch=(i686 x86_64)
+url="http://rubini.us"
+license=(custom)
+depends=(llvm-libs libffi openssl libyaml)
+makedepends=(llvm rubinius-ruby)
+options=(!emptydirs)
+source=(http://releases.rubini.us/${pkgbase}-${pkgver}.tar.bz2
+        gemrc dirs.patch)
+sha256sums=('89390e8dd890ac4b8ad931e6277714e3d55560ee2f236b756bb4f83ee26eb9b0'
+            '4bb7eb2fe66e396ed16b589cdb656831407b39ad4e138d88536754c0448ac614'
+            'a9922b199730c059c26781af45adc46401811ff2e6840c4aeb49da4fa41acdd9')
+
+prepare() {
+  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+  cd $pkgbase-$pkgver
+
+  patch -Np1 -i ../dirs.patch
+
+  mkdir -p "$GEM_HOME"
+  gem install --no-user-install -N vendor/cache/bundler-*.gem
+
+  "$GEM_HOME/bin/bundle" install --local
+}
+
+build() {
+  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+  cd $pkgbase-$pkgver
+
+  ./configure --prefix=/usr \
+    --mandir=/usr/share/man \
+    --includedir=/usr/include/rubinius \
+    --appdir=/usr/lib/rubinius \
+    --gemsdir=/usr/lib/rubinius/gems \
+    --preserve-prefix \
+    --llvm-shared \
+    --without-rpath \
+    --bin-link bundle --bin-link bundler
+  rake build
+}
+
+check() {
+  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+  cd $pkgbase-$pkgver
+
+  rake vm:test || :
+}
+
+package_rubinius() {
+  optdepends=('ruby-docs: Ruby documentation')
+
+  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+  cd $pkgbase-$pkgver
+
+  DESTDIR="$pkgdir" rake install
+
+  mkdir -p "$pkgdir/usr/share/ri"
+  ln -s 2.1.0 "$pkgdir/usr/share/ri/2.1"
+
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/rubinius/LICENSE"
+
+### Split rubinius-ruby
+  mkdir -p "$srcdir/ruby/usr/bin"
+  for _f in "$pkgdir"/usr/bin/*; do
+    [[ $_f == */rbx ]] && continue
+    mv $_f "$srcdir/ruby/usr/bin"
+  done
+}
+
+package_rubinius-ruby() {
+  pkgdesc="Ruby compat for Rubinius"
+  depends=("rubinius=$pkgver-$pkgrel")
+  provides=(ruby)
+  conflicts=(ruby)
+  backup=(etc/gemrc)
+
+  mv ruby/* "$pkgdir"
+  install -Dm644 gemrc "$pkgdir/etc/gemrc"
+  install -d "$pkgdir/usr/share/licenses/rubinius-ruby"
+  ln -s ../rubinius/LICENSE "$pkgdir/usr/share/licenses/rubinius-ruby/LICENSE"
+}

Deleted: community-i686/dirs.patch
===================================================================
--- community-i686/dirs.patch	2014-12-02 09:05:24 UTC (rev 123343)
+++ community-i686/dirs.patch	2014-12-02 09:06:07 UTC (rev 123344)
@@ -1,21 +0,0 @@
-diff --git i/library/rbconfig.rb w/library/rbconfig.rb
-index 2e0cbba..3d9327d 100644
---- i/library/rbconfig.rb
-+++ w/library/rbconfig.rb
-@@ -16,12 +16,12 @@ module RbConfig
-   CONFIG["exec_prefix"]        = "$(prefix)"
-   CONFIG["bindir"]             = Rubinius::BIN_PATH.dup
-   CONFIG["sbindir"]            = "$(exec_prefix)/sbin"
--  CONFIG["libexecdir"]         = "$(exec_prefix)/libexec"
-+  CONFIG["libexecdir"]         = "/usr/lib/rubinius"
-   CONFIG["datarootdir"]        = "$(prefix)/share"
-   CONFIG["datadir"]            = "$(datarootdir)"
--  CONFIG["sysconfdir"]         = "$(prefix)/etc"
--  CONFIG["sharedstatedir"]     = "$(prefix)/com"
--  CONFIG["localstatedir"]      = "$(prefix)/var"
-+  CONFIG["sysconfdir"]         = "/etc"
-+  CONFIG["sharedstatedir"]     = "/var/lib"
-+  CONFIG["localstatedir"]      = "/var"
-   CONFIG["includedir"]         = "$(prefix)/include"
-   CONFIG["oldincludedir"]      = "/usr/include"
-   CONFIG["docdir"]             = "$(datarootdir)/doc/$(PACKAGE)"

Copied: rubinius/repos/community-i686/dirs.patch (from rev 123343, rubinius/trunk/dirs.patch)
===================================================================
--- community-i686/dirs.patch	                        (rev 0)
+++ community-i686/dirs.patch	2014-12-02 09:06:07 UTC (rev 123344)
@@ -0,0 +1,21 @@
+diff --git i/library/rbconfig.rb w/library/rbconfig.rb
+index 2e0cbba..3d9327d 100644
+--- i/library/rbconfig.rb
++++ w/library/rbconfig.rb
+@@ -16,12 +16,12 @@ module RbConfig
+   CONFIG["exec_prefix"]        = "$(prefix)"
+   CONFIG["bindir"]             = Rubinius::BIN_PATH.dup
+   CONFIG["sbindir"]            = "$(exec_prefix)/sbin"
+-  CONFIG["libexecdir"]         = "$(exec_prefix)/libexec"
++  CONFIG["libexecdir"]         = "/usr/lib/rubinius"
+   CONFIG["datarootdir"]        = "$(prefix)/share"
+   CONFIG["datadir"]            = "$(datarootdir)"
+-  CONFIG["sysconfdir"]         = "$(prefix)/etc"
+-  CONFIG["sharedstatedir"]     = "$(prefix)/com"
+-  CONFIG["localstatedir"]      = "$(prefix)/var"
++  CONFIG["sysconfdir"]         = "/etc"
++  CONFIG["sharedstatedir"]     = "/var/lib"
++  CONFIG["localstatedir"]      = "/var"
+   CONFIG["includedir"]         = "$(prefix)/include"
+   CONFIG["oldincludedir"]      = "/usr/include"
+   CONFIG["docdir"]             = "$(datarootdir)/doc/$(PACKAGE)"

Deleted: community-i686/gemrc
===================================================================
--- community-i686/gemrc	2014-12-02 09:05:24 UTC (rev 123343)
+++ community-i686/gemrc	2014-12-02 09:06:07 UTC (rev 123344)
@@ -1,5 +0,0 @@
-# Read about the gemrc format at http://docs.rubygems.org/read/chapter/11
-
-# --user-install is used to install to $HOME/.gem/ by default since we want to separate
-#                pacman installed gems and gem installed gems
-gem: --user-install

Copied: rubinius/repos/community-i686/gemrc (from rev 123343, rubinius/trunk/gemrc)
===================================================================
--- community-i686/gemrc	                        (rev 0)
+++ community-i686/gemrc	2014-12-02 09:06:07 UTC (rev 123344)
@@ -0,0 +1,5 @@
+# Read about the gemrc format at http://docs.rubygems.org/read/chapter/11
+
+# --user-install is used to install to $HOME/.gem/ by default since we want to separate
+#                pacman installed gems and gem installed gems
+gem: --user-install

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2014-12-02 09:05:24 UTC (rev 123343)
+++ community-x86_64/PKGBUILD	2014-12-02 09:06:07 UTC (rev 123344)
@@ -1,88 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgbase=rubinius
-pkgname=(rubinius rubinius-ruby)
-pkgver=2.3.0
-pkgrel=1
-pkgdesc="Ruby runtime written in Ruby, designed for concurrency"
-arch=(i686 x86_64)
-url="http://rubini.us"
-license=(custom)
-depends=(llvm-libs libffi openssl libyaml)
-makedepends=(llvm rubinius-ruby)
-options=(!emptydirs)
-source=(http://releases.rubini.us/${pkgbase}-${pkgver}.tar.bz2
-        gemrc dirs.patch)
-sha256sums=('9953c3af5e9694540859eaf55164a38d0c32c3ad35457e4351d20c28a25fecaa'
-            '4bb7eb2fe66e396ed16b589cdb656831407b39ad4e138d88536754c0448ac614'
-            'a9922b199730c059c26781af45adc46401811ff2e6840c4aeb49da4fa41acdd9')
-
-prepare() {
-  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
-  cd $pkgbase-$pkgver
-
-  patch -Np1 -i ../dirs.patch
-
-  mkdir -p "$GEM_HOME"
-  gem install --no-user-install -N vendor/cache/bundler-*.gem
-
-  "$GEM_HOME/bin/bundle" install --local
-}
-
-build() {
-  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
-  cd $pkgbase-$pkgver
-
-  ./configure --prefix=/usr \
-    --mandir=/usr/share/man \
-    --includedir=/usr/include/rubinius \
-    --appdir=/usr/lib/rubinius \
-    --gemsdir=/usr/lib/rubinius/gems \
-    --preserve-prefix \
-    --llvm-shared \
-    --without-rpath \
-    --bin-link bundle --bin-link bundler
-  rake build
-}
-
-check() {
-  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
-  cd $pkgbase-$pkgver
-
-  rake vm:test || :
-}
-
-package_rubinius() {
-  optdepends=('ruby-docs: Ruby documentation')
-
-  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
-  cd $pkgbase-$pkgver
-
-  DESTDIR="$pkgdir" rake install
-
-  mkdir -p "$pkgdir/usr/share/ri"
-  ln -s 2.1.0 "$pkgdir/usr/share/ri/2.1"
-
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/rubinius/LICENSE"
-
-### Split rubinius-ruby
-  mkdir -p "$srcdir/ruby/usr/bin"
-  for _f in "$pkgdir"/usr/bin/*; do
-    [[ $_f == */rbx ]] && continue
-    mv $_f "$srcdir/ruby/usr/bin"
-  done
-}
-
-package_rubinius-ruby() {
-  pkgdesc="Ruby compat for Rubinius"
-  depends=("rubinius=$pkgver-$pkgrel")
-  provides=(ruby)
-  conflicts=(ruby)
-  backup=(etc/gemrc)
-
-  mv ruby/* "$pkgdir"
-  install -Dm644 gemrc "$pkgdir/etc/gemrc"
-  install -d "$pkgdir/usr/share/licenses/rubinius-ruby"
-  ln -s ../rubinius/LICENSE "$pkgdir/usr/share/licenses/rubinius-ruby/LICENSE"
-}

Copied: rubinius/repos/community-x86_64/PKGBUILD (from rev 123343, rubinius/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2014-12-02 09:06:07 UTC (rev 123344)
@@ -0,0 +1,88 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgbase=rubinius
+pkgname=(rubinius rubinius-ruby)
+pkgver=2.4.0
+pkgrel=1
+pkgdesc="Ruby runtime written in Ruby, designed for concurrency"
+arch=(i686 x86_64)
+url="http://rubini.us"
+license=(custom)
+depends=(llvm-libs libffi openssl libyaml)
+makedepends=(llvm rubinius-ruby)
+options=(!emptydirs)
+source=(http://releases.rubini.us/${pkgbase}-${pkgver}.tar.bz2
+        gemrc dirs.patch)
+sha256sums=('89390e8dd890ac4b8ad931e6277714e3d55560ee2f236b756bb4f83ee26eb9b0'
+            '4bb7eb2fe66e396ed16b589cdb656831407b39ad4e138d88536754c0448ac614'
+            'a9922b199730c059c26781af45adc46401811ff2e6840c4aeb49da4fa41acdd9')
+
+prepare() {
+  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+  cd $pkgbase-$pkgver
+
+  patch -Np1 -i ../dirs.patch
+
+  mkdir -p "$GEM_HOME"
+  gem install --no-user-install -N vendor/cache/bundler-*.gem
+
+  "$GEM_HOME/bin/bundle" install --local
+}
+
+build() {
+  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+  cd $pkgbase-$pkgver
+
+  ./configure --prefix=/usr \
+    --mandir=/usr/share/man \
+    --includedir=/usr/include/rubinius \
+    --appdir=/usr/lib/rubinius \
+    --gemsdir=/usr/lib/rubinius/gems \
+    --preserve-prefix \
+    --llvm-shared \
+    --without-rpath \
+    --bin-link bundle --bin-link bundler
+  rake build
+}
+
+check() {
+  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+  cd $pkgbase-$pkgver
+
+  rake vm:test || :
+}
+
+package_rubinius() {
+  optdepends=('ruby-docs: Ruby documentation')
+
+  export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+  cd $pkgbase-$pkgver
+
+  DESTDIR="$pkgdir" rake install
+
+  mkdir -p "$pkgdir/usr/share/ri"
+  ln -s 2.1.0 "$pkgdir/usr/share/ri/2.1"
+
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/rubinius/LICENSE"
+
+### Split rubinius-ruby
+  mkdir -p "$srcdir/ruby/usr/bin"
+  for _f in "$pkgdir"/usr/bin/*; do
+    [[ $_f == */rbx ]] && continue
+    mv $_f "$srcdir/ruby/usr/bin"
+  done
+}
+
+package_rubinius-ruby() {
+  pkgdesc="Ruby compat for Rubinius"
+  depends=("rubinius=$pkgver-$pkgrel")
+  provides=(ruby)
+  conflicts=(ruby)
+  backup=(etc/gemrc)
+
+  mv ruby/* "$pkgdir"
+  install -Dm644 gemrc "$pkgdir/etc/gemrc"
+  install -d "$pkgdir/usr/share/licenses/rubinius-ruby"
+  ln -s ../rubinius/LICENSE "$pkgdir/usr/share/licenses/rubinius-ruby/LICENSE"
+}

Deleted: community-x86_64/dirs.patch
===================================================================
--- community-x86_64/dirs.patch	2014-12-02 09:05:24 UTC (rev 123343)
+++ community-x86_64/dirs.patch	2014-12-02 09:06:07 UTC (rev 123344)
@@ -1,21 +0,0 @@
-diff --git i/library/rbconfig.rb w/library/rbconfig.rb
-index 2e0cbba..3d9327d 100644
---- i/library/rbconfig.rb
-+++ w/library/rbconfig.rb
-@@ -16,12 +16,12 @@ module RbConfig
-   CONFIG["exec_prefix"]        = "$(prefix)"
-   CONFIG["bindir"]             = Rubinius::BIN_PATH.dup
-   CONFIG["sbindir"]            = "$(exec_prefix)/sbin"
--  CONFIG["libexecdir"]         = "$(exec_prefix)/libexec"
-+  CONFIG["libexecdir"]         = "/usr/lib/rubinius"
-   CONFIG["datarootdir"]        = "$(prefix)/share"
-   CONFIG["datadir"]            = "$(datarootdir)"
--  CONFIG["sysconfdir"]         = "$(prefix)/etc"
--  CONFIG["sharedstatedir"]     = "$(prefix)/com"
--  CONFIG["localstatedir"]      = "$(prefix)/var"
-+  CONFIG["sysconfdir"]         = "/etc"
-+  CONFIG["sharedstatedir"]     = "/var/lib"
-+  CONFIG["localstatedir"]      = "/var"
-   CONFIG["includedir"]         = "$(prefix)/include"
-   CONFIG["oldincludedir"]      = "/usr/include"
-   CONFIG["docdir"]             = "$(datarootdir)/doc/$(PACKAGE)"

Copied: rubinius/repos/community-x86_64/dirs.patch (from rev 123343, rubinius/trunk/dirs.patch)
===================================================================
--- community-x86_64/dirs.patch	                        (rev 0)
+++ community-x86_64/dirs.patch	2014-12-02 09:06:07 UTC (rev 123344)
@@ -0,0 +1,21 @@
+diff --git i/library/rbconfig.rb w/library/rbconfig.rb
+index 2e0cbba..3d9327d 100644
+--- i/library/rbconfig.rb
++++ w/library/rbconfig.rb
+@@ -16,12 +16,12 @@ module RbConfig
+   CONFIG["exec_prefix"]        = "$(prefix)"
+   CONFIG["bindir"]             = Rubinius::BIN_PATH.dup
+   CONFIG["sbindir"]            = "$(exec_prefix)/sbin"
+-  CONFIG["libexecdir"]         = "$(exec_prefix)/libexec"
++  CONFIG["libexecdir"]         = "/usr/lib/rubinius"
+   CONFIG["datarootdir"]        = "$(prefix)/share"
+   CONFIG["datadir"]            = "$(datarootdir)"
+-  CONFIG["sysconfdir"]         = "$(prefix)/etc"
+-  CONFIG["sharedstatedir"]     = "$(prefix)/com"
+-  CONFIG["localstatedir"]      = "$(prefix)/var"
++  CONFIG["sysconfdir"]         = "/etc"
++  CONFIG["sharedstatedir"]     = "/var/lib"
++  CONFIG["localstatedir"]      = "/var"
+   CONFIG["includedir"]         = "$(prefix)/include"
+   CONFIG["oldincludedir"]      = "/usr/include"
+   CONFIG["docdir"]             = "$(datarootdir)/doc/$(PACKAGE)"

Deleted: community-x86_64/gemrc
===================================================================
--- community-x86_64/gemrc	2014-12-02 09:05:24 UTC (rev 123343)
+++ community-x86_64/gemrc	2014-12-02 09:06:07 UTC (rev 123344)
@@ -1,5 +0,0 @@
-# Read about the gemrc format at http://docs.rubygems.org/read/chapter/11
-
-# --user-install is used to install to $HOME/.gem/ by default since we want to separate
-#                pacman installed gems and gem installed gems
-gem: --user-install

Copied: rubinius/repos/community-x86_64/gemrc (from rev 123343, rubinius/trunk/gemrc)
===================================================================
--- community-x86_64/gemrc	                        (rev 0)
+++ community-x86_64/gemrc	2014-12-02 09:06:07 UTC (rev 123344)
@@ -0,0 +1,5 @@
+# Read about the gemrc format at http://docs.rubygems.org/read/chapter/11
+
+# --user-install is used to install to $HOME/.gem/ by default since we want to separate
+#                pacman installed gems and gem installed gems
+gem: --user-install



More information about the arch-commits mailing list